Author Topic: LinuxMCE Orbiter installation :: Nokia N810 Maemo 4.1 Diablo  (Read 1688 times)

wombiroller

  • Guru
  • ****
  • Posts: 340
    • View Profile
Hi All,

Seems I may have jumped the gun a little. I just flashed my N810 with the latest firmware Maemo 4.1 Diablo. Now when I try and install the Orbiter software from http://possy.de/repository.install (from this Wiki Page http://wiki.linuxmce.org/index.php/Nokia_N800) which worked on the old 2008 Chinook? firmware) - I get an error:
Quote
Unable to download lmce-orbiter-installer. Application not found.

So I tried installing that directly via the .deb file from http://www.possy.de/repository/ just in case but I get a bunch of dependency errors; libhttpfetch1, libmysqkclient1.2, etc etc. Tried manual installing them from the same repository but they are not compatible with Diablo...

Anyway - long story short I expect I will have to roll back the firmware for the time being but thought someone might know of a way to get this to work on the latest firmware?

I'll email the dev as well just in case (Peer) but I don't speak German ;-)

Cheers,
WR.

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5495
  • DOES work for LinuxMCE.
    • View Profile
Re: LinuxMCE Orbiter installation :: Nokia N810 Maemo 4.1 Diablo
« Reply #1 on: July 27, 2008, 08:53:00 am »
Posde is currently on vacation..should be back soon though. We'll try to get a newer version of the autoinstaller done for the new firmware. the repositories are different, which is why the autoinstaller is breaking.

damn it.. we can't get anything new done because we're trying to keep up with everybody else!

:P

-Thom

totallymaxed

  • LinuxMCE God
  • ****
  • Posts: 4360
  • Smart Home Consulting
    • View Profile
    • Dianemo - at home with technology
Re: LinuxMCE Orbiter installation :: Nokia N810 Maemo 4.1 Diablo
« Reply #2 on: July 27, 2008, 10:07:21 am »
Hi All,

Seems I may have jumped the gun a little. I just flashed my N810 with the latest firmware Maemo 4.1 Diablo. Now when I try and install the Orbiter software from http://possy.de/repository.install (from this Wiki Page http://wiki.linuxmce.org/index.php/Nokia_N800) which worked on the old 2008 Chinook? firmware) - I get an error:
Quote
Unable to download lmce-orbiter-installer. Application not found.

So I tried installing that directly via the .deb file from http://www.possy.de/repository/ just in case but I get a bunch of dependency errors; libhttpfetch1, libmysqkclient1.2, etc etc. Tried manual installing them from the same repository but they are not compatible with Diablo...

Anyway - long story short I expect I will have to roll back the firmware for the time being but thought someone might know of a way to get this to work on the latest firmware?

I'll email the dev as well just in case (Peer) but I don't speak German ;-)

Cheers,
WR.

Hi WR/Thom

We hit the same problem here this week. Michael Stepanov is kindly building a new Diablo ready set of packages that will be available from one of our servers in next few days (the server's ready and Michael is working on the new packages now). This new server will be available to the community and it will be updated as needed by Michael/us.

I'll post a URL for the server as soon as its up and tested ;-)

All the best

Andrew
Andy Herron,
Convergent Home Technologies Ltd
United Kingdom

Read My Blog; http://ellipticalcurve.com

Contact me for Smart Home consulting advice here;
@herron on Twitter, totallymaxed+consulting@gmail.com via email or PM me here.

Get a Dianemo S License: http://forum.linuxmce.org/index.php?topic=8880.0
iOS Orbiter: http://wiki.linuxmce.org/index.php/Dianemo_iOS_Orbiter
Follow us on Facebook: https://www.facebook.com/pages/Dianemo-Home-Automation/226019387454465

Sales & Info:
http://www.dianemo.co.uk

wombiroller

  • Guru
  • ****
  • Posts: 340
    • View Profile
Re: LinuxMCE Orbiter installation :: Nokia N810 Maemo 4.1 Diablo
« Reply #3 on: July 27, 2008, 10:26:20 am »
Sweet - thanks Thom and Andrew  ;D

Rgds,
Adriel.

PeteK

  • Guru
  • ****
  • Posts: 408
    • View Profile
Re: LinuxMCE Orbiter installation :: Nokia N810 Maemo 4.1 Diablo
« Reply #4 on: July 27, 2008, 06:17:05 pm »
Sounds great!  Thank you, Andrew and Michael

bulek

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 884
  • Living with LMCE
    • View Profile
Re: LinuxMCE Orbiter installation :: Nokia N810 Maemo 4.1 Diablo
« Reply #5 on: July 29, 2008, 02:39:45 pm »
Hi,

I figured out simple trick... I downloaded .install file to N800 and corrected it with text editor. It seems that currently repository for diablo is not present, so you just simply enter older repositories (don't remember exactly - I'm writting out of my memory)...

Check URLS in install file and set it accordingly. For me Orbiter seems to be working ok (beside few problems that I've already posted mantis thread and showed to NiteMan...).

The trick is that newest FW is looking for packages in ..../diablo/... directories, but most of repositories don't have that entries yet...

HTH,

regards,

Bulek.
Thanks in advance,

regards,

Bulek.

totallymaxed

  • LinuxMCE God
  • ****
  • Posts: 4360
  • Smart Home Consulting
    • View Profile
    • Dianemo - at home with technology
Re: LinuxMCE Orbiter installation :: Nokia N810 Maemo 4.1 Diablo
« Reply #6 on: July 29, 2008, 04:27:12 pm »
Hi,

I figured out simple trick... I downloaded .install file to N800 and corrected it with text editor. It seems that currently repository for diablo is not present, so you just simply enter older repositories (don't remember exactly - I'm writting out of my memory)...

Check URLS in install file and set it accordingly. For me Orbiter seems to be working ok (beside few problems that I've already posted mantis thread and showed to NiteMan...).

The trick is that newest FW is looking for packages in ..../diablo/... directories, but most of repositories don't have that entries yet...

HTH,

regards,

Bulek.


Yep thats basicall correct.

You can test our new Nokia Tablet repos here http://diapub.com/~michael/

Michael has done most of the work...thanks Michael :-)... and we provide the server and a little technical backup/help.

The Nokia Tablet repos is open for use by the community. There may still be some kinks in it though ;-)

All the best

Andrew
Andy Herron,
Convergent Home Technologies Ltd
United Kingdom

Read My Blog; http://ellipticalcurve.com

Contact me for Smart Home consulting advice here;
@herron on Twitter, totallymaxed+consulting@gmail.com via email or PM me here.

Get a Dianemo S License: http://forum.linuxmce.org/index.php?topic=8880.0
iOS Orbiter: http://wiki.linuxmce.org/index.php/Dianemo_iOS_Orbiter
Follow us on Facebook: https://www.facebook.com/pages/Dianemo-Home-Automation/226019387454465

Sales & Info:
http://www.dianemo.co.uk

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2934
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: LinuxMCE Orbiter installation :: Nokia N810 Maemo 4.1 Diablo
« Reply #7 on: August 03, 2008, 02:51:58 am »
Andrew,

great news. So, can I take away the link to possy.de from the wiki, and we use yours in the future?

rgds
Oliver